Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalButtonUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ButtonUI
                  |
                  +--javax.swing.plaf.basic.BasicButtonUI
                        |
                        +--javax.swing.plaf.metal.MetalButtonUI

public class MetalButtonUI
extends BasicButtonUI

MetalButtonUI implementation

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Field Summary
`protected java.awt.Color` | `disabledTextColor`
`protected java.awt.Color` | `focusColor`
`protected java.awt.Color` | `selectColor`

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`MetalButtonUI()`

Method Summary
`protected BasicButtonListener` | `createButtonListener(AbstractButton b)`
`static ComponentUI` | `createUI(JComponent c)`
`protected java.awt.Color` | `getDisabledTextColor()`
`protected java.awt.Color` | `getFocusColor()`
`protected java.awt.Color` | `getSelectColor()`
`void` | `installDefaults(AbstractButton b)`
`protected void` | `paintButtonPressed(java.awt.Graphics g, AbstractButton b)`
`protected void` | `paintFocus(java.awt.Graphics g, AbstractButton b, java.awt.Rectangle viewRect, java.awt.Rectangle textRect, java.awt.Rectangle iconRect)`
`protected void` | `paintText(java.awt.Graphics g, JComponent c, java.awt.Rectangle textRect, java.lang.String text)`
`void` | `uninstallDefaults(AbstractButton b)`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPreferredSize, getPropertyPrefix, getTextShiftOffset, installKeyboardActions, installListeners, installUI, paint, paintIcon, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### focusColor

    protected java.awt.Color focusColor

### selectColor

    protected java.awt.Color selectColor

### disabledTextColor

    protected java.awt.Color disabledTextColor

Constructor Detail

### MetalButtonUI

    public MetalButtonUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installDefaults

    public void installDefaults(AbstractButton b)

  Overrides:
    installDefaults in class BasicButtonUI

### uninstallDefaults

    public void uninstallDefaults(AbstractButton b)

  Overrides:
    uninstallDefaults in class BasicButtonUI

### createButtonListener

    protected BasicButtonListener createButtonListener(AbstractButton b)

  Overrides:
    createButtonListener in class BasicButtonUI

### getSelectColor

    protected java.awt.Color getSelectColor()

### getDisabledTextColor

    protected java.awt.Color getDisabledTextColor()

### getFocusColor

    protected java.awt.Color getFocusColor()

### paintButtonPressed

    protected void paintButtonPressed(java.awt.Graphics g,
                                      AbstractButton b)

  Overrides:
    paintButtonPressed in class BasicButtonUI

### paintFocus

    protected void paintFocus(java.awt.Graphics g,
                              AbstractButton b,
                              java.awt.Rectangle viewRect,
                              java.awt.Rectangle textRect,
                              java.awt.Rectangle iconRect)

  Overrides:
    paintFocus in class BasicButtonUI

### paintText

    protected void paintText(java.awt.Graphics g,
                             JComponent c,
                             java.awt.Rectangle textRect,
                             java.lang.String text)

  Overrides:
    paintText in class BasicButtonUI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.